<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Nodejs-demo-NestJs-and-BDD documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
        <link rel="stylesheet" href="../styles/postmark.css">
    </head>
    <body>
          <script>
               // Blocking script to avaoid flickering dark mode
               // Dark mode toggle button
               var useDark = window.matchMedia('(prefers-color-scheme: dark)');
               var darkModeState = useDark.matches;
               var $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               var $darkModeToggles = document.querySelectorAll('.dark-mode-switch');
               var darkModeStateLocal = localStorage.getItem('compodoc_darkmode-state');

               function checkToggle(check) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].checked = check;
                    }
               }

               function toggleDarkMode(state) {
                    if (window.localStorage) {
                         localStorage.setItem('compodoc_darkmode-state', state);
                    }

                    checkToggle(state);

                    const hasClass = document.body.classList.contains('dark');

                    if (state) {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.add('dark');
                         }
                         if (!hasClass) {
                              document.body.classList.add('dark');
                         }
                    } else {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.remove('dark');
                         }
                         if (hasClass) {
                              document.body.classList.remove('dark');
                         }
                    }
               }

               useDark.addEventListener('change', function (evt) {
                    toggleDarkMode(evt.matches);
               });
               if (darkModeStateLocal) {
                    darkModeState = darkModeStateLocal === 'true';
               }
               toggleDarkMode(darkModeState);

               if ($darkModeToggles.length > 0) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].addEventListener('change', function (event) {
                              darkModeState = !darkModeState;
                              toggleDarkMode(darkModeState);
                         });
                    }
               }
          </script>

        <div class="navbar navbar-default navbar-fixed-top d-block d-sm-none">
            <a href="../" class="navbar-brand">Nodejs-demo-NestJs-and-BDD documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content controller">
                   <div class="content-data">





<ol class="breadcrumb">
  <li class="breadcrumb-item">Controllers</li>
  <li class="breadcrumb-item" >FakeFrontAppController</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" 
                class="nav-link"
                class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" 
                class="nav-link"
                
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/fake-third-app/fake-front-app.controller.ts</code>
        </p>

            <p class="comment">
                <h3>Prefix</h3>
            </p>
            <p class="comment">
                <code>front</code>
            </p>






            <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Async</span>
                                <a href="#createFrontUnit" >createFrontUnit</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Async</span>
                                <a href="#deleteFrontUnit" >deleteFrontUnit</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Async</span>
                                <a href="#editFrontUnit" >editFrontUnit</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#getAssets" >getAssets</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#getFailed" >getFailed</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Async</span>
                                <a href="#getFrontUnitById" >getFrontUnitById</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Async</span>
                                <a href="#getFrontUnits" >getFrontUnits</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#getHome" >getHome</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#getLogin" >getLogin</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#getRegister" >getRegister</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#getSuccess" >getSuccess</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Async</span>
                                <a href="#newFrontUnit" >newFrontUnit</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#postLogin" >postLogin</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                <a href="#postRegister" >postRegister</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Async</span>
                                <a href="#updateFrontPatchUnit" >updateFrontPatchUnit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="createFrontUnit"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Async</span>
                        <span ><b>createFrontUnit</b></span>
                        <a href="#createFrontUnit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>createFrontUnit(res, createUnitEntity: <a href="../classes/UnitEntity.html" target="_self">UnitEntity</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Post(&#x27;/units&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="223"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:223</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>createUnitEntity</td>
                                            <td>
                                                            <code><a href="../classes/UnitEntity.html" target="_self" >UnitEntity</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="deleteFrontUnit"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Async</span>
                        <span ><b>deleteFrontUnit</b></span>
                        <a href="#deleteFrontUnit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>deleteFrontUnit(res, unitId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/units/:id/delete&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="143"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:143</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>unitId</td>
                                            <td>
                                                            <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="editFrontUnit"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Async</span>
                        <span ><b>editFrontUnit</b></span>
                        <a href="#editFrontUnit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>editFrontUnit(res, unitId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/units/:id/edit&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="82"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:82</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>unitId</td>
                                            <td>
                                                            <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getAssets"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>getAssets</b></span>
                        <a href="#getAssets"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getAssets(imgId, res)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;assets/:imgId&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="43"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:43</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>imgId</td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>res</td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getFailed"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>getFailed</b></span>
                        <a href="#getFailed"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getFailed(req: Request, res: Response)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/failed&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="291"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:291</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>req</td>
                                            <td>
                                                        <code>Request</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                                        <code>Response</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getFrontUnitById"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Async</span>
                        <span ><b>getFrontUnitById</b></span>
                        <a href="#getFrontUnitById"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getFrontUnitById(res, unitId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/units/:id&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="166"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:166</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>unitId</td>
                                            <td>
                                                            <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getFrontUnits"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Async</span>
                        <span ><b>getFrontUnits</b></span>
                        <a href="#getFrontUnits"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getFrontUnits(res, paginationQuery: <a href="../classes/PaginationQueryDto.html" target="_self">PaginationQueryDto</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/units&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="195"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:195</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>paginationQuery</td>
                                            <td>
                                                            <code><a href="../classes/PaginationQueryDto.html" target="_self" >PaginationQueryDto</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getHome"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>getHome</b></span>
                        <a href="#getHome"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getHome(req: Request, res: Response)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="300"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:300</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>req</td>
                                            <td>
                                                        <code>Request</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                                        <code>Response</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getLogin"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>getLogin</b></span>
                        <a href="#getLogin"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getLogin(res: Response)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/login&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="245"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:245</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                                        <code>Response</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getRegister"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>getRegister</b></span>
                        <a href="#getRegister"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getRegister(res: Response)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/register&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="251"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:251</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                                        <code>Response</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getSuccess"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>getSuccess</b></span>
                        <a href="#getSuccess"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getSuccess(req: Request, res: Response)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/success&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="281"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:281</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>req</td>
                                            <td>
                                                        <code>Request</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                                        <code>Response</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="newFrontUnit"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Async</span>
                        <span ><b>newFrontUnit</b></span>
                        <a href="#newFrontUnit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>newFrontUnit(res)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/units/new&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="60"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:60</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="postLogin"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>postLogin</b></span>
                        <a href="#postLogin"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>postLogin(req: Request, res: Response)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Post(&#x27;/login&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="257"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:257</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>req</td>
                                            <td>
                                                        <code>Request</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                                        <code>Response</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="postRegister"></a>
                    <span class="name">
                            <span class="modifier"></span>
                        <span ><b>postRegister</b></span>
                        <a href="#postRegister"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>postRegister(req: Request, res: Response)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Post(&#x27;/register&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="267"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:267</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>req</td>
                                            <td>
                                                        <code>Request</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                                        <code>Response</code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateFrontPatchUnit"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Async</span>
                        <span ><b>updateFrontPatchUnit</b></span>
                        <a href="#updateFrontPatchUnit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>updateFrontPatchUnit(res, unitId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, updateUnitEntity: <a href="../classes/UnitEntity.html" target="_self">UnitEntity</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Post(&#x27;/units/:id/update&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="111"
                                    class="link-to-prism">src/fake-third-app/fake-front-app.controller.ts:111</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>unitId</td>
                                            <td>
                                                            <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>updateUnitEntity</td>
                                            <td>
                                                            <code><a href="../classes/UnitEntity.html" target="_self" >UnitEntity</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>    </div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import {
  Body,
  Controller,
  Delete,
  Get,
  HttpStatus,
  Inject,
  Injectable,
  NotFoundException,
  Param,
  Patch,
  Post,
  Put,
  Query,
  Req,
  Res,
} from &#x27;@nestjs/common&#x27;;
import { lastValueFrom } from &#x27;rxjs&#x27;;
import { ApiTags } from &#x27;@nestjs/swagger&#x27;;
import { FakeBackApiService } from &#x27;./services/fake-back-api.service&#x27;;
import { join } from &#x27;path&#x27;;
import { Response, NextFunction, Request } from &#x27;express&#x27;;
import { WINSTON_MODULE_PROVIDER } from &#x27;nest-winston&#x27;;
import { Logger } from &#x27;winston&#x27;;
import { UnitEntity } from &#x27;./entities/unit.entity&#x27;;
import { PaginationQueryDto } from &#x27;./dto/pagination-query.dto&#x27;;

@ApiTags(&#x27;front fake third app&#x27;)
@Controller(&#x27;front&#x27;)
export class FakeFrontAppController {
  errorContext: string;
  constructor(
    @Inject(WINSTON_MODULE_PROVIDER) private readonly logger: Logger,
    private readonly fakeBackApiService: FakeBackApiService,
  ) {
    this.errorContext &#x3D; &#x27;FakeThirdAppModule.FakeFrontAppController&#x27;;
    // Reset sample data on restart session
    this.fakeBackApiService.resetAllUnits();
  }

  // Get images
  @Get(&#x27;assets/:imgId&#x27;)
  getAssets(@Param(&#x27;imgId&#x27;) imgId, @Res() res) {
    try {
      const imgPath &#x3D; join(process.cwd(), &#x60;assets/images/${imgId}&#x60;);
      return res.sendFile(imgPath, { root: &#x27;public&#x27; });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.getAssets().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Assets not get ! ${errorMessage}&#x60;,
      });
    }
  }

  // CREATE FRONTEND
  @Get(&#x27;/units/new&#x27;)
  // @HttpCode(201) // already 201 by defaut for POST
  async newFrontUnit(@Res() res) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.newFrontUnit().begun&#x60;);
      const unit &#x3D; {
        code: &#x27;&#x27;,
        label: &#x27;&#x27;,
        photo: &#x27;&#x27;,
        active: &#x27;&#x27;,
      };
      return res.render(&#x27;crud/form&#x27;, { title: &#x27;Unit&#x27;, data: unit });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.newFrontUnit().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Units not created! ${errorMessage}&#x60;,
      });
    }
  }

  // EDIT FRONTEND
  @Get(&#x27;/units/:id/edit&#x27;)
  async editFrontUnit(@Res() res, @Param(&#x27;id&#x27;) unitId: string) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.editFrontUnit().begun&#x60;);
      if (!unitId) {
        throw new NotFoundException(&#x27;Param ID is required&#x27;);
      }
      const unit &#x3D; await lastValueFrom(
        this.fakeBackApiService.getUnitById(unitId),
      );
      if (!unit) {
        throw new NotFoundException(&#x27;Unit does not exist!&#x27;);
      }
      return res.render(&#x27;crud/form&#x27;, {
        title: &#x27;Unit&#x27;,
        message: &#x27;Success form&#x27;,
        data: unit,
      });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.editFrontUnit().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Unit edit form not rendered ! ${errorMessage}&#x60;,
      });
    }
  }

  // UPDATE FRONTEND with PATCH
  @Post(&#x27;/units/:id/update&#x27;)
  async updateFrontPatchUnit(
    @Res() res,
    @Param(&#x27;id&#x27;) unitId: string,
    @Body() updateUnitEntity: UnitEntity,
  ) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.updateFrontPatchUnit().begun&#x60;);
      if (!unitId) {
        throw new NotFoundException(&#x27;Param ID is required&#x27;);
      }
      if (!updateUnitEntity) {
        throw new NotFoundException(&#x27;Param body is required&#x27;);
      }
      const unit &#x3D; await lastValueFrom(
        this.fakeBackApiService.updateUnit(unitId, updateUnitEntity),
      );
      if (!unit) {
        throw new NotFoundException(&#x27;Unit does not exist!&#x27;);
      }
      return res.status(200).redirect(&#x60;/front/units/${unit.id}&#x60;);
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.updateFrontPatchUnit().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Unit not updated with patch! ${errorMessage}&#x60;,
      });
    }
  }

  // DELETE
  @Get(&#x27;/units/:id/delete&#x27;)
  async deleteFrontUnit(@Res() res, @Param(&#x27;id&#x27;) unitId: string) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.deleteFrontUnit().begun&#x60;);
      if (!unitId) {
        throw new NotFoundException(&#x27;Unit ID does not exist&#x27;);
      }
      const unit &#x3D; lastValueFrom(this.fakeBackApiService.deleteUnit(unitId));
      if (!unit) {
        throw new NotFoundException(&#x27;Unit does not exist!&#x27;);
      }
      return res.redirect(&#x60;/front/units&#x60;);
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.deleteFrontUnit().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Unit not deleted! ${errorMessage}&#x60;,
      });
    }
  }

  // READ FRONTEND
  @Get(&#x27;/units/:id&#x27;)
  async getFrontUnitById(@Res() res, @Param(&#x27;id&#x27;) unitId: string) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.getFrontUnitById().begun&#x60;);
      if (!unitId) {
        throw new NotFoundException(&#x27;Param ID is required&#x27;);
      }
      const unit &#x3D; await lastValueFrom(
        this.fakeBackApiService.getUnitById(unitId),
      );
      if (!unit) {
        throw new NotFoundException(&#x27;Unit does not exist!&#x27;);
      }
      return res.render(&#x27;crud/detail&#x27;, {
        title: &#x27;Unit&#x27;,
        message: &#x27;Success detail&#x27;,
        data: unit,
      });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.getFrontUnitById().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Units not read! ${errorMessage}&#x60;,
      });
    }
  }

  // QUERY FRONTEND
  @Get(&#x27;/units&#x27;)
  async getFrontUnits(
    @Res() res,
    @Query() paginationQuery: PaginationQueryDto,
  ) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.getFrontUnits().begun&#x60;);
      const units &#x3D; await lastValueFrom(
        this.fakeBackApiService.getUnits(paginationQuery),
      );
      // return res.status(HttpStatus.OK).json(units);
      return res.render(&#x27;crud/list&#x27;, {
        title: &#x27;Units&#x27;,
        message: &#x27;Success list&#x27;,
        data: units,
      });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.getFrontUnits().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Units not listed! ${errorMessage}&#x60;,
      });
    }
  }

  // CREATE FRONTEND
  @Post(&#x27;/units&#x27;)
  // @HttpCode(201) // already 201 by defaut for POST
  async createFrontUnit(@Res() res, @Body() createUnitEntity: UnitEntity) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.createFrontUnit().begun&#x60;);
      if (!createUnitEntity) {
        throw new NotFoundException(&#x27;Param body is required&#x27;);
      }
      const unit &#x3D; await lastValueFrom(
        this.fakeBackApiService.createUnit(createUnitEntity),
      );
      return res.redirect(&#x60;/front/units/${unit.id}&#x60;);
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.createFrontUnit().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.render(&#x27;error&#x27;, {
        title: &#x27;Error&#x27;,
        message: &#x60;Error: Units not created! ${errorMessage}&#x60;,
      });
    }
  }

  // Browser
  @Get(&#x27;/login&#x27;)
  getLogin(@Res() res: Response) {
    return res.render(&#x27;auth/login&#x27;, { title: &#x27;Login&#x27;, data: null });
  }

  // Browser
  @Get(&#x27;/register&#x27;)
  getRegister(@Res() res: Response) {
    return res.render(&#x27;auth/register&#x27;, { title: &#x27;Register&#x27;, data: null });
  }

  // Browser
  @Post(&#x27;/login&#x27;)
  postLogin(@Req() req: Request, @Res() res: Response) {
    if (req.body.name !&#x3D;&#x3D; &#x27;foo&#x27; || req.body.password !&#x3D;&#x3D; &#x27;bar&#x27;)
      return res.redirect(
        &#x27;/front/failed&#x27; + &quot;?message&#x3D;&#x27;Missing login and password&#x27;&quot;,
      );
    res.redirect(&#x27;/front/success&#x27; + &quot;?message&#x3D;&#x27;Authenticated user&#x27;&quot;);
  }

  // Browser
  @Post(&#x27;/register&#x27;)
  postRegister(@Req() req: Request, @Res() res: Response) {
    if (
      req.body.name !&#x3D;&#x3D; &#x27;foo&#x27; ||
      req.body.password !&#x3D;&#x3D; &#x27;bar&#x27; ||
      req.body.confirm_password !&#x3D;&#x3D; &#x27;bar&#x27;
    )
      return res.redirect(
        &#x27;/front/failed&#x27; + &quot;?message&#x3D;&#x27;Missing login and password&#x27;&quot;,
      );
    res.redirect(&#x27;/front/login&#x27; + &quot;?message&#x3D;&#x27;You can login now&#x27;&quot;);
  }

  // Browser
  @Get(&#x27;/success&#x27;)
  getSuccess(@Req() req: Request, @Res() res: Response) {
    return res.render(&#x27;success&#x27;, {
      title: &#x27;Success&#x27;,
      message: &#x60;Success: ${req.query.message}&#x60;,
    });
    return res.sendFile(join(process.cwd(), &#x27;src/views/success.hbs&#x27;));
  }

  // Browser
  @Get(&#x27;/failed&#x27;)
  getFailed(@Req() req: Request, @Res() res: Response) {
    return res.render(&#x27;failed&#x27;, {
      title: &#x27;Failed&#x27;,
      message: &#x60;Failed: ${req.query.message}&#x60;,
    });
  }

  // Browser
  @Get(&#x27;/&#x27;)
  getHome(@Req() req: Request, @Res() res: Response) {
    return res.render(&#x27;home&#x27;, {
      title: &#x27;Home&#x27;,
      message: &#x60;Welcome: ${req.query.message}&#x60;,
    });
    return res.sendFile(join(process.cwd(), &#x27;src/views/home.hbs&#x27;));
  }
}
</code></pre>
    </div>
</div>
















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'controller';
            var COMPODOC_CURRENT_PAGE_URL = 'FakeFrontAppController.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
